## ros-indigo-segbot-gazebo 0.3.5

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(segbot_gazebo)
find_package(catkin REQUIRED)
catkin_package()

# Install all supporting directories
foreach(dir config launch maps Media worlds)
  install(DIRECTORY ${dir}/ 
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

# unit tests are enabled selectively
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif ()

=== debian/changelog ===
ros-indigo-segbot-gazebo (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-gazebo (0.3.4-0trusty) trusty; urgency=high

  * improved door sensing behavior. switched from navfn to global_planner
  * updated parameters, and separated v2 and v3 navigation configuration parameters.
  * initial testing on simulation complete. will test now on real robot.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-gazebo (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_simulator packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-gazebo (0.3.1-0trusty) trusty; urgency=high

  * updated setting amcl laser max range. see segbot_apps`#31 <https://github.com/utexas-bwi/segbot_simulator/issues/31>`_.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-gazebo (0.3.0-0trusty) trusty; urgency=high

  * use the updated segbot_v1 hokuyo only launch file as default.
  * now set yaw correctly for true localization as well
  * use different eband parameters in simulation.
  * allow changing the move base server.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-gazebo (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Apr 2014 05:00:00 -0000

ros-indigo-segbot-gazebo (0.2.0-0trusty) trusty; urgency=high

  * use ``roslaunch_add_file_check()`` to test launch file
    dependencies.
  * add missing ``map_server`` dependency.

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 20 Apr 2014 05:00:00 -0000

ros-indigo-segbot-gazebo (0.1.5-0trusty) trusty; urgency=high

  * mark config dir for installation. closes #16 <https://github.com/utexas-bwi/segbot_simulator/issues/16>

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-gazebo (0.1.4-0trusty) trusty; urgency=high

  * reflected launch file location change for auxiliary segbot files

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 13 Aug 2013 05:00:00 -0000

ros-indigo-segbot-gazebo (0.1.3-0trusty) trusty; urgency=high

  * fixed markers and laserscan in the multiple segbot viz configuration
  * finalized the multiple segbots script. made use_full_gazebo_model a parameter
  * cleaned up segbot_mobile_base (tf_prefix, fake_localization) - all tested using the multiple segbots launch file. closes #8 <https://github.com/utexas-bwi/segbot_simulator/issues/8>. closes #9 <https://github.com/utexas-bwi/segbot_simulator/issues/9>
  * updated single robot navigation script to use internal components of segbot_mobile_base
  * renamed bwi_test_world to segbot_test_world. closes #10 <https://github.com/utexas-bwi/segbot_simulator/issues/10>
  * removed segbot_gazebo_plugins. closes #7 <https://github.com/utexas-bwi/segbot_simulator/issues/7>

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 12 Aug 2013 05:00:00 -0000

ros-indigo-segbot-gazebo (0.1.2-0trusty) trusty; urgency=high

  * cmake and package description cleanup and alphabetization

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-indigo-segbot-gazebo (0.1.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Jul 2013 05:00:00 -0000

ros-indigo-segbot-gazebo (0.1.0-0trusty) trusty; urgency=high

  * removing fake amcl, as an upstream version exists somewhere
  * added complete navigation solution
  * changing launch file permissions to execute
  * removed redundant lines of code and added segbot_navigation for a complete navigation solution launch file
  * upgraded test world to SDF 1.4
  * fixed bwi_test_world to work with gazebo_ros_pkgs for hydro transition
  * catkinization complete
  * fixed cmake and launch errors for gazebo_ros_pkgs migration
  * fixing auxiliary file location
  * piyushk: fixed typo error in launch file
  * fixing default auxilliary file name
  * defaulting to starting at 0,0 - now that we are approaching a fix towards not being able to spawn the model at any location apart from 0,0
  * add a simple simulation launch file
  * reduced size of unit objects to use them for obstacle avoidance testing
  * added a map and map server launch file for the bwi_test_world gazebo world
  * hammer on the table was causing problems - it has been removed
  * the full gazebo model is enabled by default - the simple model should only be used in certain experiments
  * fixing launch scripts for nvidia optimus launch prefix
  * removed extra launch files before correcting autonomous navigation and gmapping
  * changed default world name to gazebo
  * finished test world file
  * a bit more cleanup
  * a working test gazebo environment
  * removed old compile rules for BWI controllers that should not be in the segbot package, and fix the plugins dependency
  * generate a SDF1.2 world file
  * trying to fix the main segway simulation launch file. work still in progress
  * merged the debug and world launch files
  * importing relecant files from svn repository

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-segbot-gazebo
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/bwi_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-segbot-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-fake-localization, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-map-server, ros-indigo-rviz, ros-indigo-segbot-bringup, ros-indigo-segbot-description, ros-indigo-segbot-navigation
Description: bwi_gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
